# H501_PriceElement Class Reference

`#include <h501.h>`

Inheritance diagram for H501_PriceElement:

List of all members.

## Public Member Functions

| H501_PriceElement (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_amount
PASN_Integer | m_quantum
H501_PriceElement_units | m_units

## Constructor & Destructor Documentation

H501_PriceElement::H501_PriceElement | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H501_PriceElement::GetDataLength | ( |  | ) | const

PBoolean H501_PriceElement::Decode | ( | PASN_Stream & | strm | ) |

void H501_PriceElement::Encode | ( | PASN_Stream & | strm | ) | const

void H501_PriceElement::PrintOn | ( | ostream & | strm | ) | const

Comparison H501_PriceElement::Compare | ( | const PObject & | obj | ) | const

PObject* H501_PriceElement::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer H501_PriceElement::m_amount

PASN_Integer H501_PriceElement::m_quantum

H501_PriceElement_units H501_PriceElement::m_units

The documentation for this class was generated from the following file:

- h501.h